<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script src="/js/jquery-1.8.3.min.js"></script>

<style>
#num_vote{
	display: block;
	border: 1px dotted;
    cursor: pointer;
	float: left;
	width: 20px;
	height: 10px;
}
#num_vote:hover{
	border: 1px solid;
	background-color: #FF0000;
}
.current_vote{
	background-color: #00FF00;
}
</style>

<script>
$(document).ready(function() {
	$('span#num_vote').click(function(){
		var count = parseInt($(this).attr('num_vote'));
		setVote(count, $(this));
	});
	
	// Визуализация выбора рейтинга
	// при наведении подсвечиваем нужное количество блоков
	$('span#num_vote').hover(
		function () {
			var countSpan = $(this).parent().find('span#num_vote').length - 1;
			var num_vote = parseInt($(this).attr('num_vote'));
			for(i = 0; i <= countSpan; i++){
				if((num_vote-1) >= i){
					$(this).parent().find('span#num_vote').eq(i).addClass('current_vote');
				}else{
					$(this).parent().find('span#num_vote').eq(i).removeClass('current_vote');
				}
			}
		},
		function () {
			var countSpan = $(this).parent().find('span#num_vote').length - 1;
			for(i = 0; i <= countSpan; i++){
				var element = $(this).parent().find('span#num_vote').eq(i);
				var current = parseInt(element.attr('current'));
				if(current == 1){
					element.addClass('current_vote');
				}else{
					element.removeClass('current_vote');
				}
			}
		}
    );
});

// count - тип голоса. Лайк или дизлайк
// element - кнопка, по которой кликнули
function setVote(count, element){
	// получение данных из полей
	var id_user = $('#id_user').val();
	var id_news = element.parent().find('#id_news').val();
	$.ajax({
		// метод отправки 
		type: "POST",
		// путь до скрипта-обработчика
		url: "/ajax_test.php",
		// какие данные будут переданы
		data: {
			'id_user': id_user, 
			'id_news': id_news,
			'count': count
		},
		// тип передачи данных
		dataType: "json",
		// действие, при ответе с сервера
		success: function(data){
			// в случае, когда пришло success. Отработало без ошибок
			if(data.result == 'success'){	
				// Выводим сообщение
				alert('Голос засчитан');
				// увеличим визуальный счетчик (текст)
				var count_votes = parseInt(element.parent().find('#count_votes').val());
				var rating = element.parent().find('#rating').val();
				var new_rating = ((rating * count_votes) + count) / (count_votes + 1);				
				var new_html = new_rating.toFixed(5) + " Голосов: " + (count_votes + 1);
				element.parent().find('b').html(new_html);
				// увеличим визуальный счетчик (зеленые блоки)
				var floor_rating = Math.floor(new_rating);
				for(i = 0; i <= 4; i++){
					var element_span = element.parent().find('span#num_vote').eq(i);
					if((floor_rating-1) >= i){
						
						element_span.addClass('current_vote');
						element_span.attr('current', 1);
					}else{
						element_span.removeClass('current_vote');
						element_span.attr('current', 0);
					}
				}
			}else{
				// вывод сообщения об ошибке
				alert(data.msg);
			}
		}
	});
}
</script>

<?php
	// подключение к бд
	include "db_connection.php";
	
	$userId = 1; // id пользователя
	// достаем все новости
	$sql = mysql_query("
		SELECT * FROM `news`
    ") or die(mysql_error());    
    $news = array();
    while($r = mysql_fetch_array($sql, MYSQL_ASSOC)){
        $news[] = $r;
    }
?>
<div>
	<input type="hidden" id="id_user" value="<?=$userId;?>" />
	<?php foreach($news as $oneNews){ ?>
	<div class="one_news">
		<h3><?=$oneNews['title'];?></h3>
		<p><?=$oneNews['title'];?></p>
		<div id="votes">
			Rating: <b><?=($oneNews['count_votes'] == 0) ? "Нет оценок" : $oneNews['rating'] . " Голосов: " . $oneNews['count_votes']; ?></b>
			<br/>
			<span <?=($oneNews['rating']>=1) ? 'class="current_vote" current="1"' : 'current="0"';?> id="num_vote" num_vote="1" ></span>
			<span <?=($oneNews['rating']>=2) ? 'class="current_vote" current="1"' : 'current="0"';?> id="num_vote" num_vote="2" ></span>
			<span <?=($oneNews['rating']>=3) ? 'class="current_vote" current="1"' : 'current="0"';?> id="num_vote" num_vote="3" ></span>
			<span <?=($oneNews['rating']>=4) ? 'class="current_vote" current="1"' : 'current="0"';?> id="num_vote" num_vote="4" ></span>
			<span <?=($oneNews['rating']>=5) ? 'class="current_vote" current="1"' : 'current="0"';?> id="num_vote" num_vote="5" ></span>
			<input type="hidden" id="id_news" value="<?=$oneNews['id'];?>" />
			<input type="hidden" id="count_votes" value="<?=$oneNews['count_votes'];?>" />
			<input type="hidden" id="rating" value="<?=$oneNews['rating'];?>" />
		</div>
	</div>
	<hr/>
	<?php } ?>
</div>




